Summary: Strategy game based on Ataxx
Name: xattax
Version: 1.0
Release: 3
Source: ftp://sunsite.unc.edu/pub/linux/games/strategy/xattax.tar.gz
Source1: xataxx.wmconfig
Copyright: distributable 
Group: Games/Strategy
Patch: xataxx.imake.patch
Buildroot: /var/tmp/xattax-root

%description
Xataxx is a strategy game based on Ataxx. It is a game of position and
movement. The object is to have the most peices of your color on the
board at the end of the game. Can be played against another person or
the computer.

%prep
%setup -q -n xataxx
%patch -p1 -b .imake 

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx
make install BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin/
make install.man DESTDIR=$RPM_BUILD_ROOT
make install.lib DATADIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx

#install -m 644 -o root -g root boards.num $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx
#install -m 644 -o root -g root lib/* $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xataxx/

install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/xataxx.wmconfig  $RPM_BUILD_ROOT/etc/X11/wmconfig/xataxx

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO
/usr/X11R6/bin/xataxx
/usr/X11R6/man/man1/xataxx.1x
/usr/X11R6/lib/X11/xataxx/*

%changelog
* Mon Oct 12 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Thu May 21 1998 Michael Maher <mike@redhat.com>
- built package


